org.apache.jorphan.math

## Class NumberComparator

- java.lang.Object
- - org.apache.jorphan.math.NumberComparator

- All Implemented Interfaces:
    Serializable, Comparator<Number[]>

      public class NumberComparator
      extends Object
      implements Comparator<Number[]>, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Number[] n1, Number[] n2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### NumberComparator

          public NumberComparator()

  - ### Method Detail

    - #### compare

          public int compare(Number[] n1,
                             Number[] n2)

      Specified by:
        `compare` in interface `Comparator<Number[]>`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.